
Redmine - Defect #32206

Options in a drop-down overlap the down arrow when Alternate theme is used

2019-10-06 07:19 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

 

It is caused by r18056 (#31147), so only the trunk is affected.

It can be fixed with the following patch. The appropriate padding value defined in the default theme is used by removing the padding

definition from Alternate theme.

diff --git a/public/themes/alternate/stylesheets/application.css b/public/themes/alternate/stylesh

eets/application.css

index 4ad6b7923..ccc889410 100644

--- a/public/themes/alternate/stylesheets/application.css

+++ b/public/themes/alternate/stylesheets/application.css

@@ -70,8 +70,7 @@ input[type="button"], input[type="submit"], input[type="reset"] { background-col

 input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover { background-co

lor: #ccccbb; }

 /* Fields */

-input[type="text"], input[type="password"], textarea, select { padding: 2px; border: 1px solid #d

7d7d7; }

-input[type="text"], input[type="password"] { padding: 3px; }

+input[type="text"], input[type="password"], textarea, select { border: 1px solid #d7d7d7; }

 input[type="text"]:focus, input[type="password"]:focus, textarea:focus, select:focus { border: 1p

x solid #888866; }

 option { border-bottom: 1px dotted #d7d7d7; }

Related issues:

Related to Redmine - Patch #31147: Add custom styles for all fields Closed

Associated revisions

Revision 18602 - 2019-10-07 02:40 - Go MAEDA

Options in a drop-down overlap the down arrow when Alternate theme is used (#32206, #31147).

Patch by Go MAEDA.

2025-07-11 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/18056
https://www.redmine.org/issues/31147


History

#1 - 2019-10-06 07:19 - Go MAEDA

- Related to Patch #31147: Add custom styles for all fields added

#2 - 2019-10-06 07:36 - Go MAEDA

I don't think it is necessary to keep the style "border: 1px solid #d7d7d7;" too. A very similar style (border:1px solid #ccc;) is already defined in

public/stylesheets/application.css (see source:trunk/public/stylesheets/application.css@18587#L467

diff --git a/public/themes/alternate/stylesheets/application.css b/public/themes/alternate/stylesheets/applica

tion.css

index 4ad6b7923..df2c6c5db 100644

--- a/public/themes/alternate/stylesheets/application.css

+++ b/public/themes/alternate/stylesheets/application.css

@@ -70,8 +70,6 @@ input[type="button"], input[type="submit"], input[type="reset"] { background-col

 input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover { background-color: #ccccbb

; }

 /* Fields */

-input[type="text"], input[type="password"], textarea, select { padding: 2px; border: 1px solid #d7d7d7; }

-input[type="text"], input[type="password"] { padding: 3px; }

 input[type="text"]:focus, input[type="password"]:focus, textarea:focus, select:focus { border: 1px solid #888

866; }

 option { border-bottom: 1px dotted #d7d7d7; }

#3 - 2019-10-07 02:37 - Go MAEDA

Go MAEDA wrote:

I don't think it is necessary to keep the style "border: 1px solid #d7d7d7;" too. A very similar style (border:1px solid #ccc;) is already defined in

public/stylesheets/application.css (see source:trunk/public/stylesheets/application.css@18587#L467

 I retract my opinion in #32206#note-2. Since #d7d7d7 is used in many elements in Alternate theme, border-color should be kept for the consistency of

the appearance.

#4 - 2019-10-07 02:40 - Go MAEDA

- Subject changed from Options in a drop-down overlap on the down arrow when Alternate theme is used to Options in a drop-down overlap the down

arrow when Alternate theme is used

- Assignee set to Go MAEDA

- Target version deleted (4.1.0)

- Resolution set to Fixed

Committed the fix as a part of #31147.

#5 - 2019-10-08 03:35 - Go MAEDA

- Status changed from New to Closed

Files

overlaps-on-down-arrow@2x.png 27.9 KB 2019-10-06 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-07-11 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/18587/entry/trunk/public/stylesheets/application.css#L467
https://www.redmine.org/projects/redmine/repository/svn/revisions/18587/entry/trunk/public/stylesheets/application.css#L467
https://www.redmine.org/issues/32206#note-2
https://www.redmine.org/issues/31147
http://www.tcpdf.org

